<?php
/*
 * Plugin Name: Enhanced Linking
 * Author URI: http://zemanta.com/
 * Description: This plugin enhances the Insert/Edit Link dialogue with Related Articles and easy searching for links.
 * Author: Zemanta
 * Version: 1.0.3
**/

define('ENHANCED_LINKING_VERSION', '1.0.3');

// development, symlink problem
//define('ENHANCED_LINKING_URL', WP_PLUGIN_URL . '/enhanced-linking/');

// production
define('ENHANCED_LINKING_URL', WP_PLUGIN_URL . '/' . dirname(plugin_basename(__FILE__)));

class Enhanced_Linking {

	static $_instance = null;
	
	static function instance() {
		if(!self::$_instance) {
			self::$_instance = new Enhanced_Linking();
		}
		
		return self::$_instance;
	}
	
	function __construct() {
		add_action('admin_init', array($this, 'on_init'));
		add_action('after_wp_tiny_mce', array($this, 'after_wp_tiny_mce'), 20, 1);
	}
	
	function on_init() {
		wp_register_script('enhanced-linking', ENHANCED_LINKING_URL . '/links.js', array('jquery'), ENHANCED_LINKING_VERSION);
		wp_register_style('enhanced-linking', ENHANCED_LINKING_URL . '/links.css', array(), ENHANCED_LINKING_VERSION);
	}
	
	function after_wp_tiny_mce() {
		wp_print_scripts('enhanced-linking');
		wp_print_styles('enhanced-linking');
	}
	
}

// create shared instance
$enhancedLinking = Enhanced_Linking::instance();
